BugTraq
CA20121205-01: Security Notice for CA XCOM Data Transport on Unix and Linux Dec 05 2012 09:30PM
Kotas, Kevin J (Kevin Kotas ca com)
-----BEGIN PGP SIGNED MESSAGE-----

CA20121205-01: Security Notice for CA XCOM Data Transport on Unix and
Linux

Issued: December 5, 2012

CA Technologies Support is alerting customers to a potential risk with
CA XCOM Data Transport. A vulnerability exists that can allow a remote
attacker to execute arbitrary commands. CA Technologies has issued
patches to address the vulnerability.

The vulnerability, CVE-2012-5973, occurs due to insufficient
verification of requests. A remote attacker can send a carefully
constructed request to execute arbitrary commands and compromise the
server.

Risk Rating

High

Platforms

Unix
Linux

Affected Products

The following CA XCOM Data Transport releases for Linux and UNIX
platforms are affected:

CA XCOM Data Transport r11.5
CA XCOM Data Transport for Linux PC
CA XCOM Data Transport for HP/UX
CA XCOM Data Transport for HP-UX IA64

CA XCOM Data Transport r11.0
CA XCOM Data Transport for AIX
CA XCOM Data Transport for AIX Brixton
CA XCOM Data Transport for Digital UNIX
CA XCOM Data Transport for HP/UX
CA XCOM Data Transport for HP-UX IA64
CA XCOM Data Transport for Linux PC
CA XCOM Data Transport for Linux zSeries
CA XCOM Data Transport for NCR UNIX MP-RAS
CA XCOM Data Transport for SCO OpenServer
CA XCOM Data Transport for SCO UnixWare
CA XCOM Data Transport for Sun Solaris Brixton
CA XCOM Data Transport for Sun Solaris Operating System
CA XCOM Data Transport for Sun Solaris X86

Non-Affected Products

All CA XCOM Data Transport r11.6 for Linux and UNIX platforms

All versions of CA XCOM Data Transport for non-Linux and non-UNIX
platforms, which include:
CA XCOM Data Transport for AS/400 i5/OS
CA XCOM Data Transport for AS/400 i5/OS CISC
CA XCOM Data Transport for HP NonStop
CA XCOM Data Transport for HP NonStop IA64
CA XCOM Data Transport for LAN Server NetWare
CA XCOM Data Transport for LAN Workstation for OS/2
CA XCOM Data Transport for LAN Workstation for Windows
CA XCOM Data Transport for OpenVMS
CA XCOM Data Transport for OpenVMS Alpha
CA XCOM Data Transport for OpenVMS I64
CA XCOM Data Transport for OpenVMS VAX
CA XCOM Data Transport for OS/2 Workstation
CA XCOM Data Transport for PC-DOS Workstation
CA XCOM Data Transport for Stratus CISC
CA XCOM Data Transport for Stratus Continuum
CA XCOM Data Transport for Stratus RISC
CA XCOM Data Transport for VAX
CA XCOM Data Transport for Windows Family Professional
CA XCOM Data Transport for Windows Family Server
CA XCOM Data Transport for z/OS
CA XCOM Data Transport for z/VM
CA XCOM Data Transport for z/VSE
CA XCOM Data Transport for z/VSE CICS
CA XCOM Data Transport Gateway
CA XCOM Data Transport Management Center

How to determine if the installation is affected

1. From a command prompt, issue the following command:

xcomd -r

2. Any CA XCOM Data Transport for Linux/UNIX platform that are below
the following release level(s) are affected:

For CA XCOM Data Transport r11.5 SP00 versions:
CA XCOM Data Transport r11.5 12090 SP00

For CA XCOM Data Transport r11.0 SP01 versions:
CA XCOM Data Transport Version r11 0603W SP01

For CA XCOM Data Transport r11.0 SP02 versions:
CA XCOM Data Transport Version r11 0812J SP02

Solution

CA Technologies has issued the following patches to address the
vulnerabilities.

CA XCOM Data Transport r11.5:

CA XCOM Data Transport for Linux PC
SP00 - RO52253
CA XCOM Data Transport for HP/UX
SP00 - RO52259
CA XCOM Data Transport for HP-UX IA64
SP00 - RO52261

CA XCOM Data Transport r11.0:

CA XCOM Data Transport for AIX
SP02 - RO52265
SP01 - RO52264
CA XCOM Data Transport for AIX Brixton
SP02 - RO52265
SP01 - RO52264
CA XCOM Data Transport for Digital UNIX
SP01 - RO52257
CA XCOM Data Transport for HP/UX
SP02 - RO52258
SP01 - RO52587
CA XCOM Data Transport for HP-UX IA64
SP02 - RO52260
CA XCOM Data Transport for Linux PC
SP01 - RO52252
CA XCOM Data Transport for Linux zSeries
SP01 - RO52254
CA XCOM Data Transport for NCR UNIX MP-RAS
SP01 - RO52256
CA XCOM Data Transport for SCO OpenServer
SP01 - RO52266
CA XCOM Data Transport for SCO UnixWare
SP01 - RO52269
CA XCOM Data Transport for Sun Solaris Brixton
SP02 - RO52268
SP01 - RO52267
CA XCOM Data Transport for Sun Solaris Operating System
SP02 - RO52268
SP01 - RO52267
CA XCOM Data Transport for Sun Solaris X86
SP01 - RO52255

Workaround

Set the CA XCOM global parameter to "XENDCMD=" in the xcom.glb file.

References

CVE-2012-5973 - XCOM DT remote command execution

CA20121205-01: Security Notice for CA XCOM Data Transport on Unix and
Linux
(url line wraps)
https://support.ca.com/irj/portal/anonymous/phpsupcontent?contentID={3
58F44CA-6354-4427-9088-C57138E9EE11}

Acknowledgement

CVE-2012-5973 - Jurgens van der Merwe and Junaid Loonat from SensePost

Change History

If additional information is required, please contact CA Technologies
Support at http://support.ca.com/

If you discover a vulnerability in CA Technologies products, please
report your findings to the CA Technologies Product Vulnerability
Response Team:
(url line wraps)
https://support.ca.com/irj/portal/anonymous/phpsupcontent?contentID=17
7782

Regards,

Kevin Kotas
Director, CA Technologies Product Vulnerability Response Team

Copyright (c) 2012 CA. All Rights Reserved. One CA Plaza, Islandia,
N.Y. 11749. All other trademarks, trade names, service marks, and
logos referenced herein belong to their respective companies.

-----BEGIN PGP SIGNATURE-----
Version: PGP Desktop 10.2.1 (Build 4940)
Charset: utf-8

wsBVAwUBUL+6BpI1FvIeMomJAQFd+gf/UQ167YWtPUhnTx4GeogKqj9Vve3xwMWj
TFULWhfv+PH3k70rMOlxiTGjWkVaZEuw9ZjjQoz1Kp51yVCPDJuvaHgbLe2Cag0B
CD0/HSkg4Hnsafjli6PfJ1NgNQAI8QahYKLvEC7xbDIilbccNr97jc1LOWZUGvhl
6JiUTkPwC8F9gi2y52sqMKD/lu+J03+2GvZIoDf0zBP828Zct5nmPWLJDkVH93iv
Oi+pw9HD+X6TGac7D74v0GnymfyJp++Lp3cUH0KY6nw8z06qBSzO2w4AJDqj+sIM
S1aHFydJVA0BmnzDbSIi2bk3DEXKC9XWpux+pjPQh99nORk3M4/lGg==
=RpCe
-----END PGP SIGNATURE-----

[ reply ]


 

Privacy Statement
Copyright 2010, SecurityFocus